INFO(1)

NAZWA
info - odczytuje dokumenty Info

SKŁADNIA
info [OPCJA]... [WPIS-MENU...]

OPIS
Odczytuje dokumentację w formacie Info.

OPCJE

-a, --all
    używa wszystkich pasujących podręczników.

-k, --apropos=ŁAŃCUCH
    przeszukuje pod kątem ŁAŃCUCHA we wszystkich wpisach wszystkich podręczników.

-d, --directory=KATALOG
    dodaje KATALOG do INFOPATH.

--dribble=PLIK
    zapamiętuje klawiszologię użytkownika w PLIKU.

-f, --file=PODRĘCZNIK
    określa podręcznik Info.

-h, --help
    wyświetla ten tekst i kończy pracę.

--index-search=ŁAŃCUCH
    przechodzi do węzła wskazanego przez wpis indeksu ŁAŃCUCH.

-n, --node=WĘZEŁ
    określa węzeł w pierwszym odwiedzanym pliku Info.

-o, --output=PLIK
    wypisuje wybrane węzły do PLIKU.

-R, --raw-escapes
    wypisuje "surowe" sekwencje ANSI (domyślnie).

--no-raw-escapes
    wypisuje sekwencje ucieczki jako dosłowny tekst.

--restore=PLIK
    odczytuje początkową klawiszologię z PLIKU.

-O, --show-options, --usage
    przechodzi do węzła opcji wiersza polecenia.

--strict-node-location
    (do debugowania) używa odnośników plików Info w niezmienionej postaci.

--subnodes
    rekurencyjne wypisuje wpisy menu.

-v, --variable ZMIENNA=WARTOŚĆ
    przypisuje WARTOŚĆ do zmiennej Info ZMIENNA.

--vi-keys
    używa skojarzeń klawiszy z vi i less.

--version
    wyświetla informacje o wersji i wychodzi.

-w, --where, --location
    wypisuje fizyczne położenie pliku Info.

-x, --debug=NUMER
    ustawia poziom debugowania (-1 - pełne).

Pierwszy argument niebędący opcją, jeśli jest obecny, jest początkowym wpisem menu; jest on wyszukiwany spośród wszystkich plików "dir" z INFOPATH. Jeśli nie jest obecny, info łączy wszystkie pliki "dir" i wyświetla rezultat. Wszystkie pozostałe argumenty są traktowane jako nazwy wpisów menu, odnoszące się do początkowego wpisu menu.

Zestawienie klawiszologii wyświetla się po wpisaniu h w programie Info.

PRZYKŁADY

info
    wyświetla menu dir głównego poziomu

info info
    wyświetla ogólny podręcznik dla czytelników Info

info info-stnd
    wyświetla podręcznik danego programu Info

info emacs
    rozpoczyna od węzła emacs z głównego katalogu

info emacs buffers
    zaczyna od węzła buffers z podręcznika emacs

info --show-options emacs
    zaczyna od węzła z opcjami wiersza poleceń emacsa

info --subnodes -o out.txt emacs
    zrzuca cały podręcznik do out.txt

info -f ./foo.info
    pokazuje plik ./foo.info, nie przeszukuje katalogu

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów proszę wysyłać na adres bug-texinfo@gnu.org, ogólne pytania i komentarze na help-texinfo@gnu.org.
Strona Texinfo: http://www.gnu.org/software/texinfo/

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja info jest dostępna w formacie Texinfo. Jeśli program info jest poprawnie zainstalowany, to polecenie

    info info

powinno dać dostęp do pełnego podręcznika (w Emacsie będzie to skrót M-x).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Łukasz Kowalczyk (PTM) <lukow@tempac.okwf.fuw.edu.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 5.2.0.dfsg.1 oryginału.